<h2 id="september-2019">
  September 2019
  <span id="authors">by @Bauke</span>
</h2>

### New Groups

Early in September on the 5th, @Deimos added the new groups that [were proposed in July](https://tild.es/g2z) and further discussed [at the end of August](https://tild.es/h23). For a list of all the groups you can go to [this page](https://tildes.net/groups), the new groups are:

* ~arts
* ~design
* ~games.game_design
* ~games.tabletop
* ~finance
* ~hobbies.automotive
* ~science.formal
* ~science.social
* ~science.natural
* ~space

### Stripe Updates

Over the course of several days, [the Stripe donation page](https://tildes.net/donate_stripe) got reworked to use the new version of [Stripe Checkout](https://stripe.com/payments/checkout). This new version will redirect you to a page on the Stripe website instead of using a pop-up modal where you enter your details and donate. This also came with the opportunity to add recurring/subscription-based donations so that's available too now. The available options are "One time", "Monthly" or "Yearly".

I'd also like to take this opportunity to remind you that Tildes has [no advertising](https://blog.tildes.net/announcing-tildes#no-advertising-user-supported), [no investors](https://blog.tildes.net/announcing-tildes#non-profit-no-investors), and is supported by **your donations**. So, if you can, please donate to Tildes [through any of the available methods](https://docs.tildes.net/donate). Thank you!

### Various Updates

As with every other month, there were also several changes made:

* Errors will now be displayed when using buttons. These were previously only logged in the web console.
* Comments that are 5 or more levels deep will no longer bump the Activity sort.
* Topic titles can now be edited by the topic author for 5 minutes after posting.
* Sub-groups you are not subscribed to will now no longer show up in your home feed if you're subscribed to the parent (the sub-groups will still show up in their parent's feeds).
* A new theme "Gruvbox" (with a light and dark variation) was added, head to your [account settings](https://tildes.net/settings) to check them out.

### GitLab Reorganization

As alluded to [in last month's post](https://til.bauke.xyz/2019/august.html#gitlab-reorganization) a big reorganization of the issue tracker and several other components was done to make it easier to use the issue tracker, so let's go over them:

* All the label names and descriptions were gone over and updated to be clearer in what they mean and what purpose they serve. For example, previously there was a "suggestion" label that indicated a feature request that wasn't accepted yet and a "feature request" label that indicated it was accepted. These 2 have now been replaced by [the Stage labels](https://gitlab.com/tildes/tildes/-/labels?search=Stage) to indicate if it's an issue that should be fixed (or not) and [the Feature Request label](https://gitlab.com/tildes/tildes/-/labels?search=Feature%20Request). This will allow us to designate if issues like bugs and other non-feature requests have been confirmed or not.
* [A "Bug Report" template](https://gitlab.com/tildes/tildes/issues/new?issuable_template=Bug%20Report) was created to guide people through the steps of creating an issue for a bug, including what information they should provide to make it easier for the developers to fix.
* [The Contributing document](https://gitlab.com/tildes/tildes/blob/master/CONTRIBUTING.md) that outlines how to go about contributing to the Tildes code was also updated, including more examples of how to use the new labels.
* We'll now start using [GitLab's Weight functionality](https://docs.gitlab.com/ee/workflow/issue_weight.html) to indicate how complex issues are, ranging from 1 through 5. For a brief rundown on what each weight means, @deing wrote a little something that's also in [the Contributing document](https://gitlab.com/tildes/tildes/blob/master/CONTRIBUTING.md#choosing-what-to-work-on).
* An [issue board](https://gitlab.com/tildes/tildes/-/boards/1276089) was also created to accommodate the new labels, there you can get a quick overview on the issues and filter them easily without doing it directly in the tracker.
